Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 30 reacties
Bron: Debian, submitter: terabyte

Het besturingssysteem Debian GNU/Linux is sinds kort voorzien van een nieuwe release die ook een nieuw versienummer heeft meegekregen. Het versienummer is aangekomen bij 3.0r3 en bevat voornamelijk beveiligingsupdates en een klein aantal correcties van ernstige problemen. De update is beschikbaar voor verschillende platformen zoals: i386, ia64, m68k, powerpc, s390 en sparc. De release notes zien er als volgt uit:

This is the third update of Debian GNU/Linux 3.0 (codename ‘woody’) which mainly adds security updates to the stable release, along with a few corrections to serious problems. Those who frequently update from security.debian.org won't have to update many packages and most updates from security.debian.org are included in this update.

Please note that this update does not produce a new version of Debian GNU/Linux 3.0 but only adds a few updated packages to it. There is no need to throw away 3.0 CDs but only to update against ftp.debian.org after an installation, in order to incorporate those late changes.

Upgrading to this revision online is usually done by pointing the ‘apt’ package tool (see the sources.list(5) manual page) to one of Debian's many FTP or HTTP mirrors. A comprehensive list of mirrors is available at: http://www.debian.org/distrib/ftplist
Moderatie-faq Wijzig weergave

Reacties (30)

Je bent denk ik in de war met Debian 3.1(Sarge) die er aan zit te komen.
Dit is puur een nieuwe revisie van woody die al zeker 2 jaar stabiel is verklaard en er zitten dus geen nieuwe features in.
Even over 3.1... eind zomer was de voorspelling dat deze vrijgegeven zou worden.

Nu zat ik even bij de openstaande bugs te kijken... er staan nog iets van 140 open voor de next release (=Sarge, 3.1). Betekent dit dat eerst alle bugs eruit moeten of zou het bij 100 (bijvoorbeeld) ook kunnen zijn dat Sarge vrijgegeven wordt?
om deze post even te linken aan de net uitgekomen mysql 4.1 stable, weet iemand of deze versie ook opgenomen gaat worden in de nieuwe versie van debian, of wordt dat gewoon weer ruim twee jaar wachten tot de volgende release?

heb al veschillende pagina's bezocht (vnl debian.org) maar kan er niet veel wijzer van worden ;( dus als iemand hier meer over weet..
Lijkt me sterk dat die nog in Stable komt.

Maar je hoeft helemaal niet 2 jaar te wachten, als MySQL in Sid komt, zal er vast wel iemand zijn die een Backport (www.backports.org) zal maken voor Sarge, zodat je toch een nieuwe MySQL hebt op een verder Stable-systeem.
Strict gezien moet het aantal Release Critical (RC) bugs 0 zijn voordat het gereleased kan worden..
De 0 bereiken kan op 2 manieren:
- de bugs fixen
- pakketten met een bug geheel uit de testing (Sarge) distributie verwijderen.
Meer nieuws over de aankomende release van Sarge @ debianHELP.org
Moet ik nu apt-get dist-upgrade doen?

Ik heb woody draaien en update elke dag.
Zie "man apt-get" ;)

Het verschil tussen een "dist-upgrade" of een "upgrade" is enkel enkel dat dist-upgrade een "slimme" manier conflicten kan oplossen. Upgrade doet enkel een "domme" upgrade van reeds geinstalleerde pakketten.

Meestal voor mij werkt het volgende altijd zonder problemen:
- apt-get update
- apt-get upgrade
- En bij conflicten: apt-get dist-upgrade.

Waarschijnlijk zullen deze conflicten zich weinig voordoen bij Woody (3.0). Ik gebruik Sarge (3.1/testing), waarbij ze toch regelmatig voorkomen (en opgelost worden door "dist-upgrade").
Zover ik weet gewoon alleen update, ben nu ook bezig (tijdje vergeten) en hijs nu heel veel aan het updaten

@ Lekkere Kwal: ja dat hoeft u mij niet te vertellen hoor :P
Alleen update helpt geen drol, die werkt alleen de lijsten van de packages met hun nieuwste versies bij. Om ook die nieuwere versies te installeren moet je ook upgraden, dat wordt dus apt-get update en daarna apt-get upgrade.
Als je stable draait hoef je enkel eens per week te updaten ofzo, of als er ineens een lek bekend gemaakt wordt.
Nu het toch over apt-getten gaat, kun je dit niet in een scriptje gooien ? Dattie s'nachts om lets say 4 uur de nieuwe lijst binnenhaalt en evt bijwerkt.

ik was al tot apt-get update && apt-get upgrade gekomen, maar als er nieuwe pakketten zijn moet dat nog met ja bevestigd worden om te installeren.
apt-get --help:

-y Assume Yes to all queries and do not prompt
zet deze regel in een cron-job en je krijgt een mooi mailtje als er pakketten zijn die geupgrade kunnen worden:
apt-get -qq update && apt-get -dqq upgrade && apt-get -sqq upgrade

om het helemaal automagisch te laten uitvoeren, zie man apt-get
Ik doe liever (via crond) dit elke nacht:
apt-get -q update && apt-get upgrade -q -d -y && apt-get -qq -s upgrade

Dan krijg ik een mailtje als ik iets moet upgraden. Wel is het alvast gedownload, dus apt-get upgrade gaat dan lekker snel. Upgraden doe ik liever handmatig omdat soms wel eens een vraagje wordt gesteld bij de upgrade.

\[edit: net te laat :D]
Houd het simpel: apt-get install cron-apt

Dit pakket bevat een hulpmiddel dat op regelmatige intervallen uitgevoerd wordt met behulp van een cron taak. Standaard wordt alleen de lijst met pakketten ververst en nieuwe pakketten opgehaald zonder te installeren. U kan het opdracht geven alles uit te voeren wat u met apt-get kan doen.

Het verstuurt bij fouten e-mail (dit is instelbaar) naar de systeembeheerder.

:)

\[edit: Engels vervangen door de Nederlandse vertaling]
Zit hier nu een nieuwe kernel bij of nog steeds 2.2.20?
woody gebruikt al lang een 2.4 kernel..

er zijn 4 kernel smaken:
- vanilla
- compact
- idepci
- bf2.4 (die wil je)

installatie-cd 1 bevat alle 4 deze smaken, en in het bootscherm van deze cd kun je die kiezen (lees die tekst maar eens door)
Je kunt uiteraard zelf ook gewoon je kernel compilen als je dat wilt.
Ik draai 2.6.9 op een server, loopt perfect.

Kijk op http://www.kernel.org voor de laatste stable en non-stable kernels.
Ik dacht dat 3.0r3 later zou komen vanwege de neiuwe Debian installer? Blijkbaar komt deze toch later of in een volgende release :?
Als je een up to date Debian wilt hebben, kun imo beter overstappen op UBUNTU!

http://www.ubuntulinux.org/

Ik ben sinds de preview een zeer tevreden gebruiker :+
Als je echt up-to-date wilt blijven: gewoon debian unstable gebruiken! Voldoet meer dan prima voor desktopsystemen. Voor servers misschien niet altijd handig i.v.m. installerbugs die bij tijd en wijle voorkomen.
ik wil niet veel zeggen, maar ubuntu is debian unstable

en zie er 11 (nieuwe) updates met apt-get
gebruik lekker unstable, maar als je OS naar de klote is, geef dan alsjeblieft jezelf de schuld en niet de mensen van debian, okay?

ik heb 't hier vaker geroepen, maar ik zal het nog eens doen:

unstable is NOOIT een goed plan, tenzij je actief mee developed aan de software in debian. ik heb er regelmatig OS'en aan kapot zien gaan. gebruik liever "testing" of "stable".

ongetwijfeld zijn er nu mensen die denken "ik draai unstable en dat gaat prima!" ..maar de kans is gewoon aanwezig dat je bij een van de komende package upgrades je OS verziekt.

quote van debian.org:
De codenaam voor Debian's ontwikkelings distributie is "sid" en wordt ook wel "unstable" genoemd. Het grootste deel van het ontwikkelingswerk dat plaats vindt in Debian, wordt geupload naar deze distributie. Ze zal nooit worden uitgegeven, daarentegen zullen hieruit pakketten hun weg vinden naar de testing distributie en uiteindelijk in een echte release geïntegreerd worden.

NB: veiligheidsupdates voor "unstable" worden niet geregeld door het security-team. Daardoor krijgt "unstable" niet op tijd de nodige veiligheidsupdates. Voor meer informatie, zie de FAQ van het security-team.

"sid" is onderhevig aan uitgebreide wijzigingen en in-situ bibliotheek vernieuwingen. Dit kan aanleiding geven tot een bijzonder onstabiel systeem dat niet-installeerbare pakketten kan bevatten als gevolg van ontbrekende bibliotheken, afhankelijkheden die niet kunnen worden voldaan enz. Gebruiken op eigen risico!
Ja heerlijk, met eens in de 6 maanden een nieuwe versie. Dat is up-to-date.
Met Debian heb je gewoon dezelfde dag nog profijt van het werk dat de devvers gedaan hebben.
Er komt om de 6 maand een nieuwe iso uit. Updaten gaat perfect via apt-get en dan is Ubuntu ook up to date ze.
ik ben eigenlijk net nieuw in debian, maar ik kom er wel en heb ik binnenkort een volledig up to date systeem draaien. ik draaide eerst redhat en debian maar die geven me te veel fouten

ik ga alles vanaf cd 1 installeren. de rest gaat allemaal via apt-get

is het uitzoeken van de dependicy's moeilijk (of hoe je het ook schrijft)????
De apt package manager regelt al die dependencies voor je [daar zijn extra regels in de .deb's voor]. Gewoon apt-get install <packagename> of apt-get dist-upgrade en alles wordt voor je geregeld. Eerst wel even een apt-get update doen om de nieuwste lijst binnen te krijgen natuurlijk.
zet in de file /etc/apt/sources.list het volgende:

deb http://http.us.debian.org/debian stable main contrib non-free
deb http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free
deb http://security.debian.org/ stable/updates main

met het commando "apt-get update" worden dan alle lijsten met packages gedownload.
met "apt-get upgrade" wordt al je software geupgrade naar nieuwe versies naar aanleiding van die lijst.

waar met je die cd1 op wil letten is dat je "bf2.4" als kernel kiest in het bootscherm.. dan installeert ie kernel 2.4.19 en niet een 2.2 kernel.
Kernel Version 2.4.27
Distro Name Debian 3.1
Uptime 34 days 1 hours 49 minutes
Current Users 4
Load Averages 0.09 0.13 0.16

Deze kan dus niet geupdate worden ?

Hmm, blijkbaar wel dus:

356 packages upgraded, 0 newly installed, 0 to remove and 127 not upgraded.
Need to get 262MB of archives. After unpacking 14.1MB will be used.

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True